#ifndef FD_sabre_sound_h_

#define FD_sabre_sound_h_

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <pwd.h>
#include <sys/file.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <sys/time.h>
#include <time.h>
#include <unistd.h> /* for crypt() */
#include <sys/stat.h> /* for stat */
#include <ctype.h> /* for isdigit */
/* DO NOT #include <arpa/inet.h>*/  /* for inet_ntoa gcc -Wall gets confused */
/* To avoid error msg I have proto typed inet_ntoa( unsigned long) (it is) */ 
#include <signal.h>
#include <sys/wait.h>
#include <asm/io.h>
#include <strings.h>
#include <string.h>
#include <getopt.h>
#include <linux/soundcard.h>
#include <math.h>

#include <errno.h>
#include <sys/socket.h>
#include <sys/un.h>
     
#include "sabre_sound_proto.h"

#define READSIZE 65535
#define TEMPSIZE 65535

#define PLAY	1

typedef unsigned long DWORD;
typedef unsigned short WORD;

struct wave_header
	{		/* header for WAV-Files */
	char main_chunk[4];	/* 'RIFF' */
	DWORD length;		/* length of file */
	char chunk_type[4];	/* 'WAVE' */
	char sub_chunk[4];	/* 'fmt' */
	DWORD length_chunk;	/* length sub_chunk, always 16 bytes */
	WORD format;		/* always 1 = PCM-Code */
	WORD modus;			/* 1 = Mono, 2 = Stereo */
	DWORD sample_fq;	/* Sample Freq */
	DWORD byte_p_sec;	/* Data per sec */
	WORD byte_p_spl;	/* bytes per sample, 1=8 bit, 2=16 bit (mono)
						     2=8 bit, 4=16 bit (stereo) */
	WORD bit_p_spl;		/* bits per sample, 8, 12, 16 */
	char data_chunk[4];	/* 'data' */
	DWORD data_length;	/* length of data */
}; 

char *home_dir;
char *user_name;
int debug_flag;

#endif /* FD_sabre_sound_h_ */
